package com.bonus.canteen.core.order.deprecated.constants;

/** @deprecated */
@Deprecated
public enum OrdIfWriteOffEnum {
   WRITE_OFF_FINISH(1, "已核销"),
   UN_WRITE_OFF(2, "未核销"),
   PART_WRITE_OFF(3, "部分核销");

   private final Integer key;
   private final String desc;

   private OrdIfWriteOffEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      OrdIfWriteOffEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         OrdIfWriteOffEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
